ur_rna.Utilities.swing

## Class ActionHelper

- java.lang.Object
- - ur_rna.Utilities.swing.ActionHelper

-     public abstract class ActionHelper
      extends java.lang.Object

  Helps add actions to a Frame/Window etc.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ActionHelper.KeyBindFocus`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COMMAND_MODIFIER_MASK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addAction(javax.swing.JComponent c, java.lang.String actionName, java.util.function.Consumer<java.awt.event.ActionEvent> handler)`
    `static void` | `addKeyAction(javax.swing.JComponent c, javax.swing.KeyStroke key, java.lang.String actionName, java.util.function.Consumer<java.awt.event.ActionEvent> handler)` Combine addKeyBinding with addAction
    `static void` | `addKeyAction(javax.swing.JComponent c, javax.swing.KeyStroke key, java.lang.String actionName, java.util.function.Consumer<java.awt.event.ActionEvent> handler, ActionHelper.KeyBindFocus focusCondition)` Combine addKeyBinding with addAction
    `static void` | `addKeyBinding(javax.swing.JComponent c, char keyChar, java.lang.String actionName)`
    `static void` | `addKeyBinding(javax.swing.JComponent c, int keyCode, int modifiers, java.lang.String actionName)`
    `static void` | `addKeyBinding(javax.swing.JComponent c, javax.swing.KeyStroke key, java.lang.String actionName)`
    `static void` | `addKeyBinding(javax.swing.JComponent c, javax.swing.KeyStroke key, java.lang.String actionName, ActionHelper.KeyBindFocus focusCondition)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMMAND_MODIFIER_MASK

          public static final int COMMAND_MODIFIER_MASK

  - ### Constructor Detail

    - #### ActionHelper

          public ActionHelper()

  - ### Method Detail

    - #### addAction

          public static void addAction(javax.swing.JComponent c,
                                       java.lang.String actionName,
                                       java.util.function.Consumer<java.awt.event.ActionEvent> handler)

    - #### addKeyAction

          public static void addKeyAction(javax.swing.JComponent c,
                                          javax.swing.KeyStroke key,
                                          java.lang.String actionName,
                                          java.util.function.Consumer<java.awt.event.ActionEvent> handler)

      Combine addKeyBinding with addAction

    - #### addKeyAction

          public static void addKeyAction(javax.swing.JComponent c,
                                          javax.swing.KeyStroke key,
                                          java.lang.String actionName,
                                          java.util.function.Consumer<java.awt.event.ActionEvent> handler,
                                          ActionHelper.KeyBindFocus focusCondition)

      Combine addKeyBinding with addAction

    - #### addKeyBinding

          public static void addKeyBinding(javax.swing.JComponent c,
                                           char keyChar,
                                           java.lang.String actionName)

    - #### addKeyBinding

          public static void addKeyBinding(javax.swing.JComponent c,
                                           int keyCode,
                                           int modifiers,
                                           java.lang.String actionName)

    - #### addKeyBinding

          public static void addKeyBinding(javax.swing.JComponent c,
                                           javax.swing.KeyStroke key,
                                           java.lang.String actionName)

    - #### addKeyBinding

          public static void addKeyBinding(javax.swing.JComponent c,
                                           javax.swing.KeyStroke key,
                                           java.lang.String actionName,
                                           ActionHelper.KeyBindFocus focusCondition)